> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a new website spot ## OpenAPI ````json POST /v{version}/Content/WebsiteSpots { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Content/WebsiteSpots": { "post": { "tags": [ "Content" ], "summary": "Create a new website spot.", "operationId": "Content_AddWebsiteSpot", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Request model for creating a new website spot.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.AddWebsiteSpotRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "integer", "format": "int32" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.AddWebsiteSpotRequest": { "required": [ "Duration", "Name", "Website" ], "type": "object", "properties": { "Duration": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Duration in seconds for which the spot is active.", "format": "int32" }, "LocationId": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Unique ID of the location associated with the spot.", "format": "int32" }, "Name": { "type": "string", "description": "Name of the spot" }, "PlayerId": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Unique ID of the player associated with the spot.", "format": "int32" }, "SpotGroupId": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Unique ID of the spot group where the spot is placed in.", "format": "int32" }, "Website": { "$ref": "#/components/schemas/V1.Models.AddWebsiteSpotRequestWebsite" } }, "description": "Request model for creating a new website spot" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Models.AddWebsiteSpotRequestWebsite": { "required": [ "HeadersPreloadingEnabled", "Url" ], "type": "object", "properties": { "HeadersPreloadingEnabled": { "type": "boolean", "description": "Indicates whether headers preloading is enabled for the website." }, "Url": { "type": "string", "description": "URL of the website to be displayed in the spot." } }, "description": "Website details for the spot creation request." } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````